@import '../../../sass/variables';

.web-modal {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 2000;

  .web-modal-content {
    position: relative;
    overflow: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-height: 80%;
    width: 80%;
    min-width: 300px;
    max-width: 600px;
    background: #0c071e;
    padding: 30px;

    .header {
      position: relative;
      padding-bottom: 20px;
      border-bottom: solid 1px $grey;

      .title {
        color: $grey;
        font-size: 18px;
        text-transform: uppercase;
      }

      .close-button {
        cursor: pointer;
        position: absolute;
        right: 0;
        top: 0;
        color: $grey;
        font-size: 23px;
        transition: 0.2s;

        .icon {
          margin: 0;
        }

        &:hover {
          color: white;
        }
      }
    }

    .modal-field {
      .modal-field-header {
        color: $lightGrey;
        font-size: 16px;
        padding: 20px 0;
      }

      .modal-field-header-mini {
        color: $lightGrey;
        font-size: 14px;
        padding: 15px 0;
      }

      .modal-field-content {
        width: 100%;

        &.scrollable {
          max-height: 200px;
          overflow-y: auto;
        }
      }
    }

    .modal-input {
      width: 100%;

      .input {
        width: 100%;
      }
    }

    .modal-buttons {
      margin-top: 20px;
      float: right;

      button {
        padding: 5px 15px;
        font-size: 15px;

        &:first-of-type {
          margin-right: 10px;
        }
      }
    }
  }
}
